<?php
// Created by Ardora www.webardora.net
//TIMELINE-gravadatos
$_SERVER['HTTP_REFERER']="introDatos.php";
session_start();
$slogin_noauthpage = 0;
$slogin_pagetitle = "";
include_once ("../usuariosDemostracion/usuariosDemostracion_lib.php");
session_cache_limiter('nocache,private');
ini_set("memory_limit","80M");
$indi=$_GET['indi'];
$indi=(int)$indi;
$path = "../ardoraWorkFiles/ce_linaV7/";
if ($indi==0){
   $contador=0;
   while (file_exists($path.$slogin_Username.'_'.$contador.'.txt')){
         $contador++;
   }
}
else{
   $contador=$indi-1;
}

$anchoPeque=200;

$titulo= trim($_POST['titulo']);
$url1= trim($_POST['url1']);
$anoI= trim($_POST['anoI']);
$mesI= trim($_POST['mesI']);
$diaI= trim($_POST['diaI']);
$horaI= trim($_POST['horaI']);
$minutoI= trim($_POST['minutoI']);
$segundoI= trim($_POST['segundoI']);
$botonsCor= trim($_POST['botonsCor']);
$anoF= trim($_POST['anoF']);
$mesF= trim($_POST['mesF']);
$diaF= trim($_POST['diaF']);
$horaF= trim($_POST['horaF']);
$minutoF= trim($_POST['minutoF']);
$segundoF= trim($_POST['segundoF']);
$anchoMAX= trim($_POST['ancho']);
$fecha=strftime( "%d/%m/%Y", time() );
$comen= trim($_POST["comenta"]);
$colorSelector= trim($_POST["cor"]);
$ancho= trim($_POST["ancho"]);

$nomeArquivo=$slogin_Username."_".$contador;
if ($indi>0){
   $arquivo = file($path.$nomeArquivo.".txt");
   $nomeImaxen=$arquivo[17];
}
else{
   $nomeImaxen="";}
error_reporting(E_ALL);
$mimetypes = array("image/jpeg", "image/pjpeg", "image/gif", "image/png","image/x-png");
$foto_nome = $_FILES["imaxen"]["name"];
$foto_tipo = $_FILES["imaxen"]["type"];
$foto_tmp = $_FILES["imaxen"]["tmp_name"];
$foto_tam = $_FILES["imaxen"]["size"];
if ($foto_nome != "" AND $foto_tam != 0){
   if(!in_array($foto_tipo, $mimetypes)) die("Foto non válida");
      switch($foto_tipo) {
      case $mimetypes[0]:
      case $mimetypes[1]:
         $img = imagecreatefromjpeg($foto_tmp);
         break;
      case $mimetypes[2]:
         $img = imagecreatefromgif($foto_tmp);
         break;
      case $mimetypes[3]:
      case $mimetypes[4]:
         $img = imagecreatefrompng($foto_tmp);
         break;
      }
      $datos = getimagesize($foto_tmp);
      $altura = round($anchoMAX*$datos[1]/$datos[0]);
      $imaGrande = imagecreatetruecolor($anchoMAX,$altura);
      imagecopyresized($imaGrande, $img, 0, 0, 0, 0, $anchoMAX, $altura, $datos[0], $datos[1]);
      switch($foto_tipo) {
      case $mimetypes[0]:
      case $mimetypes[1]:
         imagejpeg($imaGrande,$path."img/original/".$nomeArquivo.".jpg");
         $nomeImaxen=$nomeArquivo.".jpg";
         break;
      case $mimetypes[2]:
         imagegif($imaGrande,$path."img/original/".$nomeArquivo.".gif");
         $nomeImaxen=$nomeArquivo.".gif";
         break;
      case $mimetypes[3]:
         imagepng($imaGrande,$path."img/original/".$nomeArquivo.".png");
         $nomeImaxen=$nomeArquivo.".png";
         break;
      }
      $altura = round($anchoPeque*$datos[1]/$datos[0]);
      $imaPeque = imagecreatetruecolor($anchoPeque,$altura);
      imagecopyresized($imaPeque, $img, 0, 0, 0, 0, $anchoPeque, $altura, $datos[0], $datos[1]);
      switch($foto_tipo) {
         case $mimetypes[0]:
         case $mimetypes[1]:
            imagejpeg($imaPeque,$path."img/thumbs/".$nomeArquivo.".jpg");
            break;
         case $mimetypes[2]:
            imagegif($imaPeque,$path."img/thumbs/".$nomeArquivo.".gif");
            break;
         case $mimetypes[3]:
            imagepng($imaPeque,$path."img/thumbs/".$nomeArquivo.".png");
            break;
         }
      @unlink($foto_tmp);
      @unlink($imaGrande);
      @unlink($imaPeque);
}

$ar=fopen($path.$nomeArquivo.".txt","w") or die("non se pudo crear o arquivo");
fputs($ar,$slogin_Username); fputs($ar,"\n");
fputs($ar,trim($titulo)); fputs($ar,"\n");
fputs($ar,trim($url1)); fputs($ar,"\n");
fputs($ar,$anoI); fputs($ar,"\n");
fputs($ar,$mesI); fputs($ar,"\n");
fputs($ar,$diaI); fputs($ar,"\n");
fputs($ar,$horaI); fputs($ar,"\n");
fputs($ar,$minutoI); fputs($ar,"\n");
fputs($ar,$segundoI); fputs($ar,"\n");
fputs($ar,$botonsCor); fputs($ar,"\n");
fputs($ar,$anoF); fputs($ar,"\n");
fputs($ar,$mesF); fputs($ar,"\n");
fputs($ar,$diaF); fputs($ar,"\n");
fputs($ar,$horaF); fputs($ar,"\n");
fputs($ar,$minutoF); fputs($ar,"\n");
fputs($ar,$segundoF); fputs($ar,"\n");
fputs($ar,$colorSelector); fputs($ar,"\n");
fputs($ar,trim($nomeImaxen)); fputs($ar,"\n");
fputs($ar,trim($ancho)); fputs($ar,"\n");
fputs($ar,trim($comen)); fclose($ar);

$file = simplexml_load_file("../ardoraWorkFiles/ce_linaV7/ce_linaV7.xml");
foreach ($file->event as $event) {
    if ($event["id"]==$nomeArquivo){
        $dom=dom_import_simplexml($event);
        $dom->parentNode->removeChild($dom);
        $file->asXML("../ardoraWorkFiles/ce_linaV7/ce_linaV7.xml");
    }
}
$file = new SimpleXMLElement("../ardoraWorkFiles/ce_linaV7/ce_linaV7.xml", null, true);
$event = $file->addChild("event",trim($comen));
if  ($mesI=="" and $diaI==""){
   $event->addAttribute("start",$anoI);
   if ($anoF!=""){
      if ($botonsCor=="none"){
         $event->addAttribute("durationEvent","true");
      }
      else{
         $event->addAttribute("durationEvent","false");
      }
      $event->addAttribute("end",$anoF);
   }
}
else{
   if ($anoI==""){
      $anoI="0";
   }
   switch($mesI){
      case "1":
      case "01":
         $mesI="Jan";
      break;
      case "2":
      case "02":
         $mesI="Feb";
      break;
      case "3":
      case "03":
         $mesI="Mar";
      break;
      case "4":
      case "04":
         $mesI="Apr";
      break;
      case "5":
      case "05":
         $mesI="May";
      break;
      case "6":
      case "06":
         $mesI="Jun";
      break;
      case "7":
      case "07":
         $mesI="Jul";
      break;
      case "8":
      case "08":
         $mesI="Aug";
      break;
      case "9":
      case "09":
         $mesI="Sep";
      break;
      case "10":
         $mesI="Oct";
      break;
      case "11":
         $mesI="Nov";
      break;
      case "12":
         $mesI="Dec";
      break;
      default:
         $mesI="Jan";
      break;
   }
   if ($diaI=="" or $diaI>31){
      $diaI="01";
   }
   else{
      if (strlen($diaI)==1){
         $diaI="0".$diaI;
      }
   }
   if ($horaI=="" or $horaI>23){
      $event->addAttribute("start",$mesI." ".$diaI." ".$anoI." 00:00:00 GMT");
   }
   else{
      if ($horaI<10){$horaI="0".$horaI;}
      if ($minutoI=="" or $minutoI>59){
         $minutoI="00";
         $segundoI="00";
      }
      else{
         if ($minutoI<10){$minutoI="0".$minutoI;}
         if ($segundoI=="" or $segundoI>59){
            $segundoI=="00";
         }
         else{
            if ($segundoI<10){$segundoI="0".$segundoI;}
         }
       }
      $event->addAttribute("start",$mesI." ".$diaI." ".$anoI." ".$horaI.":".$minutoI.":".$segundoI." GMT");
   }
   if ($anoF!=""){
      if ($botonsCor=="none"){
         $event->addAttribute("durationEvent","true");
      }
      else{
         $event->addAttribute("durationEvent","false");
      }
      switch($mesF){
      case "1":
      case "01":
         $mesF="Jan";
      break;
      case "2":
      case "02":
         $mesF="Feb";
      break;
      case "3":
      case "03":
         $mesF="Mar";
      break;
      case "4":
      case "04":
         $mesF="Apr";
      break;
      case "5":
      case "05":
         $mesF="May";
      break;
      case "6":
      case "06":
         $mesF="Jun";
      break;
      case "7":
      case "07":
         $mesF="Jul";
      break;
      case "8":
      case "08":
         $mesF="Aug";
      break;
      case "9":
      case "09":
         $mesF="Sep";
      break;
      case "10":
         $mesF="Oct";
      break;
      case "11":
         $mesF="Nov";
      break;
      case "12":
         $mesF="Dec";
      break;
      default:
         $mesF="Jan";
      break;
      }
      if ($diaF=="" or $diaF>31){
         $diaF="01";
      }
      else{
         if (strlen($diaF)==1){
            $diaF="0".$diaF;
         }
      }
      if ($horaF=="" or $horaF>23){
         $event->addAttribute("end",$mesF." ".$diaF." ".$anoF." 00:00:00 GMT");
      }
      else{
         if ($horaF<10){$horaF="0".$horaF;}
         if ($minutoF=="" or $minutoF>59){
            $minutoF="00";
            $segundoF="00";
         }
         else{
            if ($minutoF<10){$minutoF="0".$minutoF;}
            if ($segundoF=="" or $segundoF>59){
               $segundoF=="00";
            }
            else{
               if ($segundoF<10){$segundoF="0".$segundoF;}
            }
        }
        $event->addAttribute("end",$mesF." ".$diaF." ".$anoF." ".$horaF.":".$minutoF.":".$segundoF." GMT");
     }
  }
}
$event->addAttribute("id",$nomeArquivo);
$event->addAttribute("autor",$slogin_Username);
$event->addAttribute("title",$titulo);
if ($botonsCor=="red") {$event->addAttribute("icon","../../ce_linaV7/timeline/timeline_js/images/red-circle.png");}
if ($botonsCor=="green") {$event->addAttribute("icon","../../ce_linaV7/timeline/timeline_js/images/green-circle.png");}
if ($botonsCor=="blue") {$event->addAttribute("icon","../../ce_linaV7/timeline/timeline_js/images/blue-circle.png");}
if ($nomeImaxen!=""){$event->addAttribute("image","img/original/".$nomeImaxen);}
if ($url1!=""){$event->addAttribute("link",$url1);}
if ($anoF!=""){$event->addAttribute("color",$colorSelector);}

$file->asXML("../ardoraWorkFiles/ce_linaV7/ce_linaV7.xml");
header ("Location: index.php");
?>
